[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [StrongED] Re: MiniTime on ARMX6



In message <40a995f255.pnyoung@xxxxxxxxxxxxxxxxxxxx>
          Peter Young <pnyoung@xxxxxxxxxxxx> wrote:

> On 22 Dec 2016  Chris Johnson <chris@xxxxxxxxxxxxxxxxxxxxx> wrote:
> 
> > In article <0ae781f255.pnyoung@xxxxxxxxxxxxxxxxxxxx>,
> >    Peter Young <pnyoung@xxxxxxxxxxxx> wrote:
> >> Module is: Toolbox         1.52 (17 Jan 2003)
> 
> > That seems an old version - is it ARMv7 compatible?
> 
> No idea, but no other app has complained. Transient, which is always 
> running needs, Toolbox. So presumably it is!
> 
> > My ARMX6 has Toolbox v. 1.57 (18 Jun 2016) in ROM. Why are you using
> > an old version?
> 
> Short answer: no idea! An extract of Verma's output is:
> 
> 105   -       Dormant    Toolbox    1.57
>   -     98    Loaded     Toolbox    1.52 (17 Jan 2003)
> 
> but I have no idea why this should have happened.
> 
> Also, in Transient's !Run file, there is:
> 
> RMEnsure Toolbox       0.00 RMLoad System:modules.Toolbox.Toolbox
> RMEnsure Toolbox       1.53 Error Transient requires Toolbox 1.53 to 
> run
> 
> so I have no idea who is asking for 1.52, and Transient runs happily 
> with 1.52.
> 
> MiniTime, in its StartUp.Modules Obey file says:
> 
> RMEnsure Toolbox       0.00 RMLoad System:modules.Toolbox.Toolbox
> RMEnsure Toolbox       1.53 Error MiniTime requires Toolbox 0.00  to 
> run
> 
> so if I could discover what is asking only for 1.52, and change that 
> !Run file, presumably MiniTime would run.
> 
> My brain hurts! Maybe Fred can make sense of this?

Afraid not, what you're describing seems impossible. The copy of Toolbox
1.57 in your ROM has been replaced by (a softloaded) 1.52 (which is most
likely in !Boot somewhere).

Toolbox modules cannot be replaced when they have active clients so it
must have happened before you ran Transient. However that should have
led to Transient complaining that 1.53 isn't present.

The only way I can see this happening is if the check for Toolbox 1.53
in Transient isn't executed (BTW are you sure that check is in the !Run
file?).

Cheers,
Fred (also confused).

-- 
StrongED Developer
http://www.stronged.iconbar.com/

--=20
To unsubscribe send a mail to StrongED+unsubscribe@xxxxxxxxxxxxxx
List archives at http://www.Torrens.org.uk/RO/StrongED/index.html